Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.
Chargebeechargebee API

List Gateway Payment Method Tokens For A Payment Source

Lists gateway payment method token mappings stored for this payment source. A payment source can have multiple gateway tokens when vaulting and backup gateway merchant-initiated transactions (MIT) are enabled.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/payment_sources/{cust-payment-source-id}/gateway_payment_method_tokens

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set 'offset' to the value of 'next_offset' obtained in the previous iteration of the API call.

include_deleted
optional, boolean, default=false

Indicates whether to include deleted objects in the list. The deleted objects have the attribute 'deleted' as 'true'.

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

gateway_payment_method_token
Gateway payment method token object
Resource object representing gateway_payment_method_token